<?session_start();

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
		
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 


////////////////////REGISTRO DE VACACIONES PAGADAS (LIBRO DE VACACIONES LOTTT)
if ($_POST['treporte']==1) {
 $query='';
 if ($_POST['nomina']!='') $query .= " and personal.nomina = '".substr($_POST['per1'],13,3)."' ";
 		//$consulta = "select * from personal where id='".$_SESSION['id_validar']."' and status<>'I' $query order by codigo";
		$consulta = "SELECT cedula, CONCAT(nombres,' ',nombres1,' ',apellidos,' ',apellidos1),nomina,ultima_jornada,fechai,antiguedad, periodo,REPLACE(FORMAT(sueldo,2),'.',','), fdesde, fhasta, dvac, REPLACE(FORMAT(valor_dvac,2),'.',','), dias_ext, REPLACE(FORMAT(valor_dias_ext,2),'.',','), dbon, REPLACE(FORMAT(valor_dbon,2),'.',','), otros,REPLACE(FORMAT(valor_otros_dias,2),'.',','), dias_sueldo, REPLACE(FORMAT(valor_dias_sueldo,2),'.',','),dias_dinero,REPLACE(FORMAT(valor_dias_dinero,2),'.',','), sum(dvac + dias_ext + dbon + dias_ext2 + otros+dias_dinero),REPLACE(REPLACE(FORMAT(total_pago_vaca,2),',',''),'.',','), sum(dvac + dias_ext + otros ) FROM vacacion,personal
		WHERE vacacion.cedula=personal.codigo and vacacion.id=personal.id and vacacion.id=".$_SESSION['id_validar']." AND vacacion.fdesde>='".substr($_POST['per1'],19,10)."'   group by cedula,fdesde order by fdesde";
		
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));

		$cont=0;
		$data=array();
		$cabecera=array("Cedula","Nombre y Apellidos Trabajador","Nomina","Ult_jornada","Fech_Ing","Anos_Servicio","Periodo","Salario_diario","Fec_Desde","Fec_hasta","Dias_Hab (Art. 190)","valor_Dias_Hab(Bs)","Dias_Adic. (Art. 190)","Valor Dias_Adic(Bs)","Dias_Bono_Vac (Art. 192)","Valor_Bono_Vac (Bs)","Dias_descanso","Valor_Dias_descanso(Bs)","Dias_Sueldo_Quinc","Valor_Dias_Sueldo","Dias_Adic_vendidos","Valor_Dias_Adic_vend(Bs)","Total_dias_a_pagar","Monto_a_pagar_Bs.","Total_dias_disfrute");
		$cabecera=implode(";",$cabecera);
		while ($row=mysqli_fetch_row($resultado)) {
		     $cont++;
			 $data[]=implode(";",$row);
		}
		$data=implode("\n",$data);
$arch="libro_vacaciones.csv";		
header("Content-type: text/csv");
header("Content-Disposition: attachment; filename=".$arch);
header("Pragma: no-cache");
header("Expires: 0");
echo "Empresa: ".$_SESSION['empresa_validar']."\n";
echo " \n";
echo "Registro de Vacaciones pagadas Art. 203 LOTTT \n";
echo "\n";
echo "Periodo: desde ".substr($_POST['per1'],19,10)." \n";
echo "\n";
//echo substr($_POST['per1'],19,10)."\n";
echo $cabecera."\n";
echo utf8_decode($data);		
		
 exit();
}


?>
<html>
	<head><link rel='stylesheet' type='text/css' href='styles.css' />
	</head>
	<body>	
		<?
		menu();
		?>
		<br><table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td  width='100%' align='left'><font size=2 color='black' face='verdana'>Empresa: <b><?echo $_SESSION['empresa_validar'];?></b>  - Per&iacute;odo: <b><font color=red><?echo $per;?></font></b>  -  Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></font></td> 
			</tr>
		</table><hr>	
<?	echo "<tr align='center'>";	
	echo "<h1 align='center'><font face='Verdana, Arial, Helvetica, sans-serif' size=4>Generar Reporte de Vacaciones</font></h1>";
	echo "</tr>";
	echo "<font face='verdana' size=2>";
	echo "
	<br><br><form name='entrada' action='".$_SERVER['PHP_SELF']."' target='blank' method='POST' enctype='multipart/form-data'>
	<table align='center'>";
			if ($per!='') {
					echo "<tr><td align='righta'>Per&iacute;odo Actual:</td>
						  <td align='left'><font color=red>".$per."</font></td>
						  </tr>";
			}			
			echo "
				<tr><td align='righta'>Tipo de Archivo:</td>
				<td align='left'>
					<select style='width:300px; border-radius:8px; padding:4px;' name='treporte'>
						<option value='1'>Libro de Vacaciones</option>

					</select>
				</td>
				</tr>";
			
			//COMENTADO PARA QUE NO HAYA FILTRO, NECESITAMOS QUE EL LIBRO DE VACACIONES SALGA EL TOTAL DE REGISTROS
			$consulta = mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo DESC") or die ("select * from periodo order by nomina,periodo DESC");	
			$numr = mysqli_num_rows($consulta);
			echo "<td align = ''> <font color=red>Per&iacute;odo Desde: </font></td>";
			echo "<td align = 'left'> <select style='width:300px; border-radius:8px; padding:4px;' name = 'per1'>";
			for ($x=1;$x<=$numr;$x++) {
				$row1 = mysqli_fetch_array($consulta); 
				if ($x!=1) {
					echo "<option>".$row1['periodo']." - Nomina:".$row1['nomina']." - ".$row1['desde']." al ".$row1['hasta'];
				}	
			}
			echo "</select>";
			echo "</td></tr>";
			
			$consulta = mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo DESC") or die ("select * from periodo order by nomina,periodo DESC");	
			$numr = mysqli_num_rows($consulta);
			echo "<td align = ''> <font color=red>Per&iacute;odo Hasta: </font></td>";
			echo "<td align = 'left'> <select style='width:300px; border-radius:8px; padding:4px;' name = 'per2'>";
			for ($x=1;$x<=$numr;$x++) {
				$row1 = mysqli_fetch_array($consulta); 
				if ($x!=1) {
					echo "<option>".$row1['periodo']." - Nomina:".$row1['nomina']." - ".$row1['desde']." al ".$row1['hasta'];
				}	
			}
			echo "</select>";
			echo "</td></tr>";
			
			
			/*
			
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('GERENCIA') and id='".$_SESSION['id_validar']."'  order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Gerencia: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'gerencia'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
								
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DIVISION') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Divisi&oacute;n: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'division'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DEPARTAMENTO') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Departamento: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'departamento'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			*/
								
			echo "<tr><td colspan='4' align='center'>";
			echo "<input name='ver' type='submit' class='boton' value='GENERAR ARCHIVO'>";
			echo "</td></tr>";	
			echo "</table></form></font>";
?>

	<style>
	.boton {
		border-radius: 8px;      /* Bordes redondeados */
		padding: 8px 16px;       /* Más espacio interno */
		border: none;            /* Quita el borde feo por defecto */
		cursor: pointer;         /* Mano al pasar */
		transition: 0.2s ease;   /* Animación suave */
		}

		.boton:hover {
		transform: scale(1.03);  /* Efecto sutil al pasar el mouse */
		}

	</style>
	</body>
</html>